﻿@media all {
    /****
 *    Styles particuliers
 *****/
    div#blurb, div#form {
        border: none;
    }

    div#blurb {
        background-color: rgb(3,150,196);
        color: #fff;
        border-radius: 8px;
    }

    td input[type=text],
    td input[type=date],
    td input[type=email],
    td input[type=password],
    td select,
    td textarea {
        width: 80%;
        border-radius: 2px;
        transition: box-shadow 0.2s ease 0s, border 0.2s ease 0s, background 0.2s ease 0s;
    }
    div#form td input[type=date] {
        font-family: Arial;
    }

    div.notice {
        width: 620px;
        margin-left: auto;
        margin-right: auto;
    }

        div.notice li {
            text-align: left;
        }

    label.requis {
        /*color: #f00;*/
    }

    sup.etoile {
        color: #e33;
    }

    .etsp sup.etoile {
        margin: 0 5px 0 0;
    }


    ol#boutons-etapes li {
        background-color: #fff;
        margin-bottom: 4px;
        border: 1px solid #ccc;
    }

    ul.button-bar a.aspNetDisabled, ul.button-bar a.disabled {
        color: #ddd;
    }

    /****
 *  icônes d'aide
 ****/
    span.aide-champ {
        display: inline-block;
        margin-left: 8px;
        font-size: 1.2em;
        color: rgb(3,150,196);
        cursor: pointer;
    }

    /**
  * Éléments à l'intérieur du bloc modal "Restaurer votre dossier..."
  **/
    div#modalNouvelleSauvegarde div {
        margin: 20px auto;
        width: 280px;
    }

        div#modalNouvelleSauvegarde div label {
            margin-bottom: 8px;
        }

    /* Page 3 : réalisation */
    div#aide_categories {
        margin: 12px 20px 4px 0;
        font-size: 0.9em;
    }

    /****
  * Page 4 : soumettre la candidature
  *****/
    div#div_soumettre_wrapper div.bloc {
        width: 620px;
        border: solid 1px #ddd;
        border-radius: 8px;
        box-shadow: 0px 2px 10px #dfdfdf;
        margin: 20px auto;
        text-align: left;
        clear: both;
        padding: 20px 12px;
        background-color: #fefff5;
    }

        div#div_soumettre_wrapper div.bloc input[type='checkbox'], input.bigBox[type='checkbox'] {
            width: 18px;
            height: 18px;
            border: solid 2px #ddd;
            cursor: pointer;
            float: left;
            margin-right: 8px;
            border-radius: 2px;
        }

        /* afficher les légendes des cases à cocher sur la même ligne */
        div#div_soumettre_wrapper div.bloc label {
            display: inline;
        }


        div#div_soumettre_wrapper div.bloc h5 small {
            display: inline-block;
            float: right;
        }

    div#div_soumettre_wrapper p.question {
        margin-top: 16px;
        font-weight: bold;
    }

    div#div_soumettre_wrapper p.reponse {
        padding-left: 16px;
        overflow-wrap: break-word;
    }

    /** Cases à cocher à l'intérieur des blocs de questions ***/
    table.cases-a-cocher-interieures input[type=checkbox] {
        margin: 4px 8px;
    }
}

/*---------------------------------
	BUTTONS
-----------------------------------*/
label.btn,
label.btn:visited {
    position: relative;
    top: 0;
    left: 0;
    vertical-align: middle;
    margin: 0;
    padding: 10px 15px;
    line-height: 100%;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    cursor: pointer;
    width: auto;
    overflow: visible;
    font-weight: normal;
    font-size: 14px; /*Pixels for consistancy*/
    text-shadow: 0 1px 0 #fff;
    color: #666;
    text-decoration: none;
    vertical-align: middle;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    display: inline-block;
    *display: inline; /*IE ONLY*/
    zoom: 1;
    border: 1px solid #ccc;
    background: rgb(252,252,252); /* Old browsers */
    background: -moz-linear-gradient(top, rgba(252,252,252,1) 0%, rgba(224,224,224,1) 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(252,252,252,1)), color-stop(100%,rgba(224,224,224,1))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, rgba(252,252,252,1) 0%,rgba(224,224,224,1) 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, rgba(252,252,252,1) 0%,rgba(224,224,224,1) 100%); /* Opera11.10+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fcfcfc', endColorstr='#e0e0e0',GradientType=0 ); /* IE6-9 */
    background: linear-gradient(top, rgba(252,252,252,1) 0%,rgba(224,224,224,1) 100%); /* W3C */
}

    label.btn.orange {
        text-shadow: 0 -1px 0 #FC730A;
        color: #fff;
        border: 1px solid #FC730A;
        background: rgb(255,168,76); /* Old browsers */
        background: -moz-linear-gradient(top, rgba(255,168,76,1) 0%, rgba(255,123,13,1) 100%); /* FF3.6+ */
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,168,76,1)), color-stop(100%,rgba(255,123,13,1))); /* Chrome,Safari4+ */
        background: -webkit-linear-gradient(top, rgba(255,168,76,1) 0%,rgba(255,123,13,1) 100%); /* Chrome10+,Safari5.1+ */
        background: -o-linear-gradient(top, rgba(255,168,76,1) 0%,rgba(255,123,13,1) 100%); /* Opera 11.10+ */
        background: linear-gradient(top, rgba(255,168,76,1) 0%,rgba(255,123,13,1) 100%); /* W3C */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffa84c', endColorstr='#ff7b0d',GradientType=0 ); /* IE6-9 */
    }

        label.btn.orange:hover {
            text-shadow: 0 1px 0 #FC730A;
            border: 1px solid #FC730A;
            background: rgb(249,191,74); /* Old browsers */
            background: -moz-linear-gradient(top, rgba(249,191,74,1) 0%, rgba(249,181,9,1) 100%); /* FF3.6+ */
            background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(249,191,74,1)), color-stop(100%,rgba(249,181,9,1))); /* Chrome,Safari4+ */
            background: -webkit-linear-gradient(top, rgba(249,191,74,1) 0%,rgba(249,181,9,1) 100%); /* Chrome10+,Safari5.1+ */
            background: -o-linear-gradient(top, rgba(249,191,74,1) 0%,rgba(249,181,9,1) 100%); /* Opera 11.10+ */
            background: linear-gradient(top, rgba(249,191,74,1) 0%,rgba(249,181,9,1) 100%); /* W3C */
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f9bf4a', endColorstr='#f9b509',GradientType=0 ); /* IE6-9 */
        }


input[type="file"] {
    position: absolute;
    left: 0;
    opacity: 0;
    top: 0;
    bottom: 0;
    width: 100%;
}

.fileupload-container span {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #eee;
    border: 3px dotted #bebebe;
    border-radius: 10px;
}

#form .fileupload-container label {
    display: inline-block !important;
    position: relative;
    height: 100px;
    width: 400px;
}

.fileupload-container div.dragover {
    background-color: #eee;
}

.fileupload-container,
.blocPiecesPublicitaires,
.blocDescriptionRealisation,
#chargement-bloc {
    display: none;
    position: relative;
}

.codeUniqueContainer span {
    padding: 5px;
    display: block;
}

#chargement-bloc div {
    padding: 10px 0;
}



/* IT Concours */
.fileupload-container  > div {
    position: inherit;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: inherit;
    border: none;
    border-radius: 10px;
}

#form .fileupload-container  label {
    height: 5em;
}


tbody td {
    vertical-align: top;
}


@media print {

    *, body {
        font-size: 1em;
    }

    div#div_soumettre_wrapper div.bloc {
        width: 90%;
    }

        div#div_soumettre_wrapper div.bloc h5 small {
            display: none;
        }

    header, footer, #cRetour, .screen, hr, nav {
        display: none;
    }
}

#table_pieces_jointes  {
	padding: 1.5em;
}

#champCodeUnique {
	width: 30%;
}